it-swarm.com.de

Wird "apt-get upgrade" auch meine PHP Version aktualisieren?

Wird Sudo apt-get upgrade auf meinem Ubuntu 9.04 auch PHP von 5.2 auf 5.3 upgraden?

3
aneuryzm

Ein upgrade installiert nur Sicherheitsupdates. Die kurze Antwort lautet also nein.

Die vollständige Antwort lautet, dass für 9.04 keine Updates mehr bereitgestellt werden, da das Ende des Lebenszyklus im letzten Oktober erreicht wurde. Sie sollten ernsthaft in Betracht ziehen, auf eine neuere Version zu aktualisieren (mit Sudo do-release-upgrade). Mit 10.04 (das ist eine LTS-Version) erhalten Sie PHP 5.3.

5
Carsten Thiel

Ubuntu 9.04 ist jetzt aus der Update-Schleife heraus, sodass Sie nicht mehr weiterkommen, was Sie gerade haben, es sei denn, Sie aktualisieren es manuell.

Um die aktuelle Version zu überprüfen, können Sie:

  • Check in Synaptic.
  • Erstellen Sie eine neue PHP Seite mit: <?php phpinfo() ?>, auf der Sie alles über Ihre aktuelle PHP Konfiguration erfahren.
  • Installieren Sie das Paket apt-show-versions und führen Sie dann $ apt-show-versions php5 aus.

Wenn Sie es nicht haben und Jaunty (9.04) auf PHP 5.3 aktualisieren möchten, habe ich eine Anleitung gefunden.

Als Hintergrund: Die Philosophie der Ubuntu-Paketaktualisierung besteht normalerweise darin, größere Aktualisierungen von Paketen zu vermeiden. Sie erhalten nur Sicherheitspatches, Bugfixes und kleinere Release-Updates. Ich bin mit dem Entscheidungsprozess nicht wirklich vertraut, aber ich gehe davon aus, dass PHP5-Versionen, die dem 5.x.y-Muster folgen, auf dem 'x' bleiben, das mit der Distributionsversion geliefert wurde. Das 'y' würde jedoch aktualisiert.

Bearbeiten: Klicken Sie auf "Senden", um weitere Informationen hinzuzufügen.

3
Zetten

Wenn Sie die aktuelle Version von PHP (jetzt ist es 5.4) wollen, sollten Sie das ppa-Repository hinzufügen oder Pakete selbst erstellen.
5.4 ist jetzt nicht für die Produktion vorgesehen (warten Sie bis 5.4.1 oder 5.4.2), sondern für die Entwicklung.

Sudo add-apt-repository ppa:ondrej/php5
Sudo apt-get update
Sudo apt-get install php5
php5 -v
2
Dmitry